Voro++

- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
voro::particle_record Struct Reference

Structure for holding information about a particle. More...

`#include <v_compute.hh>`

## Data Fields
int | ijk
int | l
int | di
int | dj
int | dk

## Detailed Description

This small structure holds information about a single particle, and is used by several of the routines in the voro_compute template for passing information by reference between functions.

Definition at line 24 of file v_compute.hh.

## Field Documentation

int voro::particle_record::di

The x-index of the block.

Definition at line 30 of file v_compute.hh.

int voro::particle_record::dj

The y-index of the block.

Definition at line 32 of file v_compute.hh.

int voro::particle_record::dk

The z-index of the block.

Definition at line 34 of file v_compute.hh.

int voro::particle_record::ijk

The index of the block that the particle is within.

Definition at line 26 of file v_compute.hh.

int voro::particle_record::l

The number of particle within its block.

Definition at line 28 of file v_compute.hh.

The documentation for this struct was generated from the following file:

- v_compute.hh